Summary: Stub rpm to set up LONCAPA dependencies
Name: LONCAPA-prerequisites
Version: 1
Release: 25.sl5
License: GPL
Group: Applications/Internet
URL: www.loncapa.org
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: httpd gd perl perl-GD perl-GD-Barcode perl-GDGraph perl-GD-Graph3d perl-GDTextUtil ImageMagick ImageMagick-perl perl-suidperl mod_perl mysql mysql-server perl-DBD-MySQL perl-DBI perl-Algorithm-Diff perl-Authen-Krb4 perl-Authen-Krb5 perl-Authen-PAM perl-Crypt-DES perl-Crypt-IDEA perl-Crypt-SSLeay perl-Event perl-HTML-Parser_loncapa perl-HTML-Tree perl-IO-Socket-SSL perl-IO-stringy perl-MailTools perl-Math-Cephes perl-Math-Random perl-Net-PH perl-Net-SSLeay perl-OLE-Storage_Lite perl-Parse-RecDescent perl-Pod-POM perl-PostScript-Simple perl-Safe-Hole perl-Spreadsheet-WriteExcel perl-String-Similarity perl-String-CRC32 perl-Text-Aspell perl-Text-Query perl-TimeDate aspell perl-IO-Socket-SSL perl-MIME-Lite perl-MIME-Types tetex zip unzip perl-libwww-perl tetex-dvips tetex-latex ghostscript ntp at gnuplot which perl-Cache-Memcached memcached mailx perl-DateManip perl-Expect perl-IO-Tty maxima maxima-runtime-sbcl perl-DateTime perl-Authen-Captcha  tetex-unicode perl-XML-DOM perl-File-MMagic perl-RTF-HTMLConverter perl-Image-Size perl-Image-Info perl-LaTeX-Table tetex-acrotex perl-CAM-PDF R R-phpSerialize perl-Tie-IxHash-Easy R-alr3 R-car R-Hmisc R-leaps R-lmtest R-qAnalyst R-quadprog R-SuppDists R-zoo perl-XML-LibXML a2ps perl-Tree perl-TermReadKey system-config-language perl-Captcha-reCAPTCHA aspell-en aspell-de aspell-fr aspell-es aspell-he aspell-pt aspell-tr perl-aliased perl-JSON-DWIW perl-enum perl-Try-Tiny perl-Crypt-Eksblowfish perl-Net-OAuth perl-Digest-SHA perl-File-Slurp tetex-actuarialangle
# Requirements for compilation of CAPA
Requires: bison flex swig
# Next require is just for installation of pwauth in the install script.
Requires: gcc patch
Requires: gnuplot >= 4.4
Requires: perl-XML-LibXML >= 2.0122
Requires: perl-XML-SAX >= 0.96
Conflicts: mod_throttle mod_bandwidth
# Notes on requirements: Net::SMTP/perl-libnet is provided in perl-5.8.3
%define debug_package %{nil}

%description
LONCAPA-prerequisites configures a system to run LON-CAPA.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README


%changelog
* Mon Jan 4 2016 Stuart Raeburn <raeburn at lon-capa.org> (1-25)
- Add perl-Crypt-Eksblowfish, perl-Net-OAuth, perl-Digest-SHA,
  and perl-File-Slurp tetex-actuarialangle
- update version dependency for perl-XML-LibXML and perl-XML-SAX
- discontinue dependency on perl-Digest-SHA1 (use perl-Digest-SHA instead).

* Thu Jul 2 2015 Stuart Raeburn <raeburn at lon-capa.org> (1-24)
- Add perl-aliased, perl-JSON-DWIW, perl-enum, and perl-Try-Tiny

* Tue Sep 17 2013 Stuart Raeburn <raeburn at lon-capa.org>
- Update perl-XML-LibXML version dependency 

* Mon Jan 28 2013 Stuart Raeburn <raeburn at lon-capa.org>
- Add perl-Digest-SHA1

* Tue Jan 1 2013 Stuart Raeburn <raeburn at lon-capa.org>
- Add aspell-en aspell-de aspell-fr aspell-es aspell-he aspell-pt aspell-tr
  and requirement for gnuplot 4.4 or newer.

* Thu Aug 23 2012 Stuart Raeburn <raeburn at lon-capa.org>
- Add perl-Captcha-reCAPTCHA

* Fri Apr 1 2011 Stuart Raeburn <raeburn at lon-capa.org>
- Add perl-TermReadKey, system-config-language

* Mon Jul 12 2010 Stuart Raeburn <raeburn at lon-capa.org>
- Add perl-Tree, add version dependency for perl-Lib-XML

* Wed May  5 2010 Stuart Raeburn <raeburn at lon-capa.org>
- Add a2ps

* Sat Dec 26 2009 Stuart Raeburn <raeburn at lon-capa.org>
- Add perl-XML-LibXML

* Fri Dec 25 2009 Stuart Raeburn <raeburn at lon-capa.org>
- Add R-alr3 R-car R-Hmisc R-leaps R-lmtest R-qAnalyst R-quadprog R-SuppDists R-zoo

* Mon Jun 29 2009 Stuart Raeburn <raeburn at lon-capa.org>
- Add R-phpSerialize perl-Tie-IxHash-Easy

* Thu Apr 23 2009 Stuart Raeburn <raeburn at lon-capa.org>
- Add R

* Sun Apr  5 2009 Stuart Raeburn <raeburn at lon-capa.org>
- Add tetex-acrotex perl-CAM-PDF

* Mon Jan 26 2009 Stuart Raeburn <raeburn at lon-capa.org>
- Add perl-LaTeX-Table dependency.

* Wed Jul  2 2008 Stuart Raeburn <raeburn at lon-capa.org>
- perl-XML-DOM, perl-File-MMagic, perl-RTF-HTMLConverter, perl-Image-Size
  dependencies for conversion of files from RTF format to HTML for testbanks

* Fri May 30 2008 Stuart Raeburn <raeburn at lon-capa.org>
- tetex-unicode dependency added

* Tue Apr 22 2008 Stuart Raeburn <raeburn at lon-capa.org>
- Authen-Captcha dependency added

* Wed Nov 21 2007 Stuart Raeburn <raeburn at lon-capa.org>
- Using regular gnuplot, added perl-DateTime

* Sat May 12 2007 Stuart Raeburn <raeburn at lon-capa.org>
- Updated dependencies to include perl-Expect and maxima (sbcl runtime)

* Thu Feb  1 2007 Stuart Raeburn <raeburn at lon-capa.org>
  Added dependencies to support maxima

* Thu Jul  6 2006 Stuart Raeburn <raeburn at lon-capa.org>
  Updated dependencies for FC5

* Thu Sep  9 2004 <matthew@kirk.lite.msu.edu> -
- Updated dependencies

* Thu Aug  5 2004  <matthew@kirk.lite.msu.edu> - 
- Initial build.

